[Update] Omada Controller 3.2.1 for Debian, Raspbian and any other Linux system

Re:Re: Omada Controller 3.1.13 for Debian, Raspbian and any other Linux system
2019-07-17 21:10:41
Thanks, I just realized that. Also if anybody else is trying to set this up, the current raspian is now based on Debian 10 (buster) and there doesn't appear to be an easy way to get MongoDB installed on it due to some licensing issues.
0
0
#17
Options
Re:Re:Omada Controller 3.1.13 for Debian, Raspbian and any other Linux system
2019-07-17 21:29:15

Found a way. Finally I could get sources by un-commenting last line in /etc/apt/sources.list. Still struggled with build and to make it known to omadactl. Finally I just did apt-get install jsvc and now it works pretty well.

0
0
#18
Options
Re: Omada Controller 3.1.13 for Debian, Raspbian and any other Linux system
2019-07-17 22:18:14

Tilo wrote

Finally I just did apt-get install jsvc and now it works pretty well.

 

Great, have fun!

༺ 0100 1101 0010 10ཏ1 0010 0110 1010 1110 ༻
0
0
#20
Options
Re:Re: Omada Controller 3.1.13 for Debian, Raspbian and any other Linux system
2019-07-29 19:19:24

Is it possible to use it without Oracle JRE8 ? Rasp does not include it. I cannot install it on my rasp- need oracle account...

 

 

 java -version
openjdk version "1.8.0_222"
OpenJDK Runtime Environment (build 1.8.0_222-8u222-b10-1~deb9u1-b10)
OpenJDK Client VM (build 25.222-b10, mixed mode)

 

But

 sudo omadactl -w -v start
-------------------------------------------------------
! Executing tail -f, type ^C (interrupt) to terminate !
-------------------------------------------------------
Invalid JVM name specified server
Cannot locate JVM library file
Service exit with a return value of 1

0
0
#24
Options
Re: Omada Controller 3.2.1 for Debian, Raspbian and any other Linux system
2019-07-29 22:40:42 - last edited 2019-07-29 22:44:51

g2_ufo wrote

 java -version
openjdk version "1.8.0_222"
OpenJDK Runtime Environment (build 1.8.0_222-8u222-b10-1~deb9u1-b10)
OpenJDK Client VM (build 25.222-b10, mixed mode)

 

You (or a dependency in another package) did install OpenJDK instead of Oracle JDK. By default, Oracle JDK is pre-installed in the Raspbian desktop image.

 

Just install Oracle JDK from the RasPi repository (not from Oracle's website). It's definitely available from http://archive.raspberrypi.org/debian:

 

$ apt-cache search oracle-java8-jdk
oracle-java8-jdk - Java™ Platform, Standard Edition 8 Development Kit

$

 

After installation check which alternatives are available:

 
$ update-java-alternatives -l
jdk-8-oracle-arm32-vfp-hflt    318        /usr/lib/jvm/jdk-8-oracle-arm32-vfp-hflt

 

You can even have both versions installed at the same time, but only one can be permanently selected as the active JDK. See the manpage update-java-alternatives for how to select one of  the alternatives if there is more than one JDK installed.

 

Alternatively, you can try a newer version, see https://www.raspberrypi.org/forums/viewtopic.php?p=1220629

༺ 0100 1101 0010 10ཏ1 0010 0110 1010 1110 ༻
0
0
#25
Options
Re:Re: Omada Controller 3.2.1 for Debian, Raspbian and any other Linux system
2019-07-30 04:31:47

Many thanks. Now all is ok with oracle java.

But what about Raspbian Buster where Oracle Java 7 and 8 replaced with OpenJDK 11 ?

0
0
#26
Options
Re: Omada Controller 3.2.1 for Debian, Raspbian and any other Linux system
2019-07-30 10:12:26

g2_ufo wrote

Many thanks. Now all is ok with oracle java.

 

You are welcome, glad that it works!

 

But what about Raspbian Buster where Oracle Java 7 and 8 replaced with OpenJDK 11 ?

 

 

Rumor has it that Java is highly portable. laugh

 

Seriously: I just provide an all-architecture .deb-Package w/o embedded binaries and a portable shell script for management of the controller. My focus is not porting the software to a specific platform or specific JRE version - porting can be done only by TP-Link's developers, who own the source code.

 

I'm an UNIX expert, but have no expertise in Java at all (in fact, I strictly avoid it where possible). So, I can't tell whether OC will work with OpenJDK 11, but if it does not, last resort could be to embed the Oracle JRE 8 binaries in OC as it is the case for x86 platforms in the official version.

༺ 0100 1101 0010 10ཏ1 0010 0110 1010 1110 ༻
0
0
#27
Options
Re:Re:Omada Controller 3.1.13 for Debian, Raspbian and any other Linux system
2019-08-02 06:09:16

谢谢

\xF0\x9F\x8C\x8E
0
0
#28
Options
Re:Re:Re:Omada Controller 3.1.13 for Debian, Raspbian and any other Linux system
2019-08-02 10:24:15

liangjiemin wrote

谢谢

 

My pleasure. 我的荣幸

༺ 0100 1101 0010 10ཏ1 0010 0110 1010 1110 ༻
0
0
#29
Options
Re:[Update] Omada Controller 3.2.1 for Debian, Raspbian and any other Linux system
2 weeks ago - last edited 2 weeks ago

hello Im noob and have some some questions

 

1. Do I need to run the steps on this link(https://community.tp-link.com/en/business/forum/topic/150123) before executing the steps here?

2. After installing the 3.2.1 is Portal(voucher) supported?cause this is what I need.

 

thanks

0
0
#31
Options